Loading...
Searching...
No Matches
mdns_packet Struct Reference

## Data Fields

ip_addr_t | source_addr
u16_t | recv_unicast
struct pbuf * | pbuf
u16_t | parse_offset
u16_t | tx_id
u16_t | questions
u16_t | questions_left
u16_t | answers
u16_t | answers_left
u16_t | authoritative
u16_t | authoritative_left
u16_t | additional
u16_t | additional_left
struct mdns_packet * | next_answer
struct mdns_packet * | next_tc_question

## Detailed Description

Information about received packet

## Field Documentation

## additional

u16_t mdns_packet::additional

Number of additional answers in packet

## additional_left

u16_t mdns_packet::additional_left

Number of unparsed additional answers

## answers

u16_t mdns_packet::answers

Number of answers in packet

## answers_left

u16_t mdns_packet::answers_left

Number of unparsed answers

## authoritative

u16_t mdns_packet::authoritative

Number of authoritative answers in packet

## authoritative_left

u16_t mdns_packet::authoritative_left

Number of unparsed authoritative answers

## next_answer

struct mdns_packet* mdns_packet::next_answer

Chained list of known answer received after a truncated question

## next_tc_question

struct mdns_packet* mdns_packet::next_tc_question

Chained list of truncated question that are waiting

## parse_offset

u16_t mdns_packet::parse_offset

Current parsing offset in packet

## pbuf

struct pbuf* mdns_packet::pbuf

Packet data

## questions

u16_t mdns_packet::questions

Number of questions in packet, read from packet header

## questions_left

u16_t mdns_packet::questions_left

Number of unparsed questions

## recv_unicast

u16_t mdns_packet::recv_unicast

If packet was received unicast

## source_addr

ip_addr_t mdns_packet::source_addr

Sender IP/port

## tx_id

u16_t mdns_packet::tx_id

Identifier. Used in legacy queries

The documentation for this struct was generated from the following file:

- src/apps/mdns/mdns.c